with GNATCOM.Dispinterface;

package MSHTML.IHTMLDatabinding_Object is

   type IHTMLDatabinding_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_dataFld
     (This : IHTMLDatabinding_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dataFld
     (This : IHTMLDatabinding_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dataSrc
     (This : IHTMLDatabinding_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dataSrc
     (This : IHTMLDatabinding_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dataFormatAs
     (This : IHTMLDatabinding_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dataFormatAs
     (This : IHTMLDatabinding_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLDatabinding_Object;

